#!/bin/bash
# This shell executes HtmlHeadLine.sh with options.
# Copyright (C) 2000 by Toshiaki kanosue.
#------------------------------------------------------------------
# If you void an export line, default value is used.
# Please change the followings as you like.
#------------------------------------------------------------------
# display site name and received line number on console while receiving
export DISPLAY_ACCESS=NO		# YES or NO
# display site name when NEW_ONLY=YES and data is present
export PRESENT_ONLY=NO		# YES or NO
# display only new headlines which compared with previous headlines
export NEW_ONLY=NO		# YES or NO
# saved file name of previous headlines (please change as you like)
export OLD_FILE_NAME=~/.old.HHL.output.html
# awk name
export AWK_NAME=awk		# awk, gawk or mawk
# retry times
export MAX_RETRYS=3		# 1 ~ 3 or bigger
# stuck behind a proxy server and do not have direct access to the WWW.
export PROXY_ONLY=NO		# YES or NO
# receive timeout in seconds in perl or lynx
export RECV_TIMEOUT=30
# background color in html
export BACK_COLOR="#e6e6fa"	# ex. lavender or white or "#ffffff"
# All of the links open up in a new netscape window.
export OTHER_WINDOW=NO		# YES or NO
# Description is displayed under a title.
export DESC_TABLE=NO		# YES or NO
# This bumped the program titles up one font size.
export BIG_FONT=NO			# YES or NO
# Play a sound or music when a keyword was found.
export KEYWORD=""
export PLAY_MUSIC="/usr/bin/wavplay ~/wav/Bweep.wav > /dev/null 2>&1"
# This is a name of an output html file.
# You can change a name or directory as you like.
# For example.   HTML_NAME=/var/www/headlines.html
# (In this case, you have to make a directory /var/www)
export HTML_NAME=/tmp/`date +%y%m%d`.`date +%H%M%S`.html
# If you want to save an output html file, please change to YES.
export SAVE_OUTPUT=NO		# YES or NO
# If you want to omit a site name for FILE_ONLY, please change to YES.
export OMIT_SITENAME=YES	# YES or NO
# Just make a text file(filename is DATA_NAME) for memopanel.
export FILE_ONLY=NO			# YES or NO
export DATA_NAME=/tmp/for.MemoPanel.dat
# Can change a directory of site table.
export SITE_TABLE=/usr/lib/htmlheadline/SITES.table
#
/usr/bin/HtmlHeadLine.sh
#
